> This page is for Cash App Pay Partner API.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.cash.app/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.cash.app/_mcp/server.

### Schema (`response.body`)

```yaml
openapi: 3.1.0
info:
  title: API
  version: 1.0.0
paths:
  /error-response-schema-test:
    get:
      operationId: subpackageSchemas_get-error-response-schema-test
      summary: Get ErrorResponse Schema Test
      description: Describes an error response returned by the Customer Request API.
      tags:
        - subpackage_schemas
      parameters:
        - name: X-Region
          in: header
          description: >-
            The IATA airport code from the list of accepted regions that is
            closest to the area your server(s) is operating in.
          required: true
          schema:
            type: string
        - name: X-Signature
          in: header
          description: >-
            An HMAC signature generated using the secret value from the API key
            specified in the `Authorization` header. See [signing
            requests](https://developers.cash.app/docs/partner/technical-documentation/api-fundamentals/requests/signing-requests)
            for more information.
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/schemas_get-error-response-schema-test_Response_200
tags:
  - name: subpackage_schemas
servers:
  - url: https://api.cash.app/customer-request/v1
    description: Production
  - url: https://sandbox.api.cash.app/customer-request/v1
    description: Sandbox
components:
  schemas:
    ErrorCategory:
      type: string
      enum:
        - API_ERROR
        - AUTHENTICATION_ERROR
        - BRAND_ERROR
        - DISPUTE_ERROR
        - MERCHANT_ERROR
        - INVALID_REQUEST_ERROR
        - PAYMENT_PROCESSING_ERROR
        - RATE_LIMIT_ERROR
        - WEBHOOK_ERROR
        - API_KEY_ERROR
        - GRANT_ERROR
      description: The high-level reason the error occurred
      title: ErrorCategory
    Error:
      type: object
      properties:
        category:
          $ref: '#/components/schemas/ErrorCategory'
          description: The high-level reason the error occurred
        code:
          type: string
          description: >-
            A unique identifier for the specific type of error that occurred.
            See the Error Code Reference for more information.


            Min length: `1`
        detail:
          type: string
          description: >-
            Human-readable description of why the error occurred and how to
            resolve it.


            Min length: `1`
        field:
          type: string
          description: >-
            The field in the request that caused the error, using array and
            object dot notation.


            Min length: `1`
      required:
        - category
        - code
      description: Represents an error encountered during a request to the API.
      title: Error
    ErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
          description: |-
            A list of errors that occurred while processing the request.

            Min number of items: `1`
      required:
        - errors
      title: ErrorResponse
    schemas_get-error-response-schema-test_Response_200:
      type: object
      properties:
        error_response:
          $ref: '#/components/schemas/ErrorResponse'
      required:
        - error_response
      title: schemas_get-error-response-schema-test_Response_200

```

**`Example`**

```json Example
{
  "errors": [
    {
      "category": "INVALID_REQUEST_ERROR",
      "code": "MISSING_REQUIRED_FIELD",
      "detail": "Missing required parameter.",
      "field": "field_a[2].field_b"
    }
  ]
}
```